<?php
namespace WCProductsWizard;

/**
 * WCProductsWizard Utils Class
 *
 * @class Utils
 * @version 1.1.1
 */
class Utils
{
    /**
     * Parse JSONed request to an array
     *
     * @param array $postData
     *
     * @return array
     */
    public static function parseArrayOfJSONs($postData)
    {
        foreach ($postData as &$value) {
            $decode = json_decode(stripslashes($value), true);
            $value = $decode ? $decode : $value;
        }

        return $postData;
    }

    /**
     * Send a JSON request
     *
     * @param array $data
     */
    public static function sendJSON($data)
    {
        wp_send_json(apply_filters('wcpw_send_jsondata', $data));
    }

    /**
     * Make string of attributes from array
     *
     * @param array $attributes
     *
     * @return string
     */
    public static function attributesArrayToString($attributes)
    {
        return implode(
            ' ',
            array_map(
                function ($k, $v) {
                    return $k . '="' . htmlspecialchars($v) . '"';
                },
                array_keys($attributes),
                $attributes
            )
        );
    }
}
