<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    return trigger_error('Empty wizard id', E_USER_WARNING);
}

if (!get_post_status($id)) {
    return trigger_error('Wizard does not exists', E_USER_WARNING);
}

use WCProductsWizard\Template;
use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'ajaxUrl' => admin_url('admin-ajax.php'),
    'publicSettings' => Settings::getPostArray($id, ['public' => true])
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<section class="woocommerce-products-wizard"
    data-component="wcpw" data-id="<?php echo esc_attr($arguments['id']); ?>"
    data-settings="<?php echo esc_attr(wp_json_encode($arguments['publicSettings'])); ?>"
    data-ajax-url="<?php echo esc_attr($arguments['ajaxUrl']); ?>"><?php
    Template::html('router', $arguments);
    ?></section>
