<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Template;
use WCProductsWizard\Form;

$defaults = [
    'id' => $id,
    'mode' => 'single-step',
    'steps' => Form::getSteps($id)
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<div class="woocommerce-products-wizard-body woocommerce-products-wizard-main-row is-single <?php
    echo esc_attr("is-{$arguments['mode']}-mode");
    ?>"
    data-component="wcpw-main-row">
    <?php
    foreach ($arguments['steps'] as $step) {
        $arguments['stepId'] = $step['id'];

        if ($step['id'] != 'result') {
            Template::html('form/index', $arguments);
        }
    }
    ?>
</div>
