<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Form;
use WCProductsWizard\Template;

$defaults = [
    'stepId' => null,
    'mode' => 'tabs',
    'navItems' => Form::getNavItems($id)
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<div class="woocommerce-products-wizard-body row woocommerce-products-wizard-main-row is-tabs <?php
    echo esc_attr("is-{$arguments['mode']}-mode");
    ?>"
    role="tablist"
    data-component="wcpw-main-row">
    <?php Template::html('sidebar', $arguments); ?>
    <div class="col-lg-9 col-md-8 col-lg-pull-3 col-md-pull-4 col-xs-12 col-12 col woocommerce-products-wizard-main">
        <?php
        foreach ($arguments['navItems'] as $navItem) {
            Template::html('nav/button', $navItem);

            if (isset($navItem['state']) && $navItem['state'] == 'active') {
                if ($arguments['stepId'] == 'result') {
                    Template::html('result', $arguments);
                } else {
                    Template::html('form/index', $arguments);
                }
            }
        }
        ?>
    </div>
</div>
