<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'formId' => null,
    'addToCartButtonText' => Settings::getPost($id, 'add_to_cart_button_text')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<button class="btn woocommerce-products-wizard-control is-add-to-cart btn-danger"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    type="submit" name="add-to-main-cart"
    data-component="wcpw-add-to-cart wcpw-nav-item"
    data-nav-action="add-to-main-cart"><span class="woocommerce-products-wizard-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['addToCartButtonText']); ?>
        <!--spacer-->
    </span></button>
<!--spacer-->
