<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Form;
use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'formId' => null,
    'previousStepId' => Form::getPreviousStepId($id),
    'backButtonText' => Settings::getPost($id, 'back_button_text')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<button class="btn woocommerce-products-wizard-control is-back btn-default btn-light show-icon-on-mobile icon-right hide-text-on-mobile"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    type="submit" name="get-step" value="<?php echo esc_attr($arguments['previousStepId']); ?>"
    data-component="wcpw-back wcpw-nav-item"
    data-nav-id="<?php echo esc_attr($arguments['previousStepId']); ?>"
    data-nav-action="get-step"><span class="woocommerce-products-wizard-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['backButtonText']); ?>
        <!--spacer-->
    </span></button>
<!--spacer-->
