<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'formId' => null,
    'resetButtonText' => Settings::getPost($id, 'reset_button_text')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<button class="btn woocommerce-products-wizard-control is-reset btn-warning show-icon-on-mobile icon-right hide-text-on-mobile"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    type="submit" name="reset"
    data-component="wcpw-reset wcpw-nav-item"
    data-nav-action="reset"><span class="woocommerce-products-wizard-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resetButtonText']); ?>
        <!--spacer-->
    </span></button>
<!--spacer-->
