<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'formId' => null,
    'toResultsButtonText' => Settings::getPost($id, 'to_results_button_text')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<button class="btn woocommerce-products-wizard-control is-to-results btn-success show-icon-on-mobile icon-right hide-text-on-mobile"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    type="submit" name="skip-all"
    data-component="wcpw-to-results wcpw-nav-item"
    data-nav-action="skip-all"
    data-nav-id="result"><span class="woocommerce-products-wizard-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['toResultsButtonText']); ?>
        <!--spacer-->
    </span></button>
<!--spacer-->
