<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'formId' => null,
    'widgetToggleButtonText' => Settings::getPost($id, 'widget_toggle_button_text')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<a href="#woocommerce-products-wizard-widget-<?php echo esc_attr($arguments['id']); ?>"
    role="button"
    class="btn woocommerce-products-wizard-control is-widget-toggle btn-default btn-light show-icon icon-left hide-text"
    data-component="wcpw-toggle"
    aria-controls="#woocommerce-products-wizard-widget-<?php echo esc_attr($arguments['id']); ?>"
    aria-expanded="false"><span class="woocommerce-products-wizard-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['widgetToggleButtonText']); ?>
        <!--spacer-->
    </span></a>
<!--spacer-->
