<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'formId' => null,
    'nextButtonText' => Settings::getPost($id, 'next_button_text')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<form action="#" method="POST" class="hidden d-none"
    id="<?php echo esc_attr($arguments['formId']); ?>"
    data-component="wcpw-form">
    <?php // no-js keyboard version of submit. should be upper the other ?>
    <button type="submit" class="sr-only" name="submit"
        data-component="wcpw-next wcpw-nav-item"
        data-nav-action="submit"><?php
        echo wp_kses_post($arguments['nextButtonText']);
        ?></button>
    <input type="hidden" name="woocommerce-products-wizard">
    <input type="hidden" name="id" value="<?php echo esc_attr($arguments['id']); ?>">
</form>
