<?php
defined('ABSPATH') || exit;

$defaults = [
    'class' => 'woocommerce-products-wizard-form-item',
    'product' => null
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;

$stockHtml = '';

if (method_exists($arguments['product'], 'wc_get_stock_html')) {
    $stockHtml = wc_get_stock_html($arguments['product']);
} else {
    $availability = $arguments['product']->get_availability();
    $availabilityHtml = empty($availability['availability'])
        ? ''
        : '<p class="stock ' . esc_attr($availability['class']) . '">'
            . esc_html($availability['availability']) . '</p>';

    $stockHtml = apply_filters(
        'woocommerce_stock_html',
        $availabilityHtml,
        $availability['availability'],
        $arguments['product']
    );
}

if (empty($stockHtml)) {
    return;
}
?>
<div class="<?php echo esc_attr($arguments['class']); ?>-availability"
    data-component="wcpw-product-availability"
    data-default="<?php echo esc_attr($stockHtml); ?>"><?php
    echo wp_kses_post($stockHtml);
    ?></div>
