<?php
defined('ABSPATH') || exit;

$defaults = [
    'id' => null,
    'product' => null,
    'activeProductsIds' => [],
    'class' => 'woocommerce-products-wizard-form-item',
    'severalProducts' => false,
    'formId' => null,
    'stepId' => null
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;

$inputType = $arguments['severalProducts'] ? 'checkbox' : 'radio';
$productId = $arguments['product']->get_id();
?>
<input type="hidden"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    name="<?php echo esc_attr("productsToAdd[{$arguments['stepId']}-{$productId}][step_id]"); ?>"
    value="<?php echo esc_attr($arguments['stepId']); ?>">
<input type="hidden"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    name="<?php echo esc_attr("productsToAdd[{$arguments['stepId']}-{$productId}][product_id]"); ?>"
    value="<?php echo esc_attr($productId); ?>">
<span class="<?php echo esc_attr($arguments['class']); ?>-choose is-<?php echo esc_attr($inputType); ?>">
    <input type="<?php echo esc_attr($inputType); ?>"
        form="<?php echo esc_attr($arguments['formId']); ?>"
        id="woocommerce-products-wizard-form-item-choose-<?php echo esc_attr($productId); ?>"
        name="productsToAddChecked[<?php echo esc_attr($arguments['stepId']); ?>][]"
        value="<?php echo esc_attr($productId); ?>"
        class="custom-control-input"
        data-component="wcpw-product-choose"
        data-step-id="<?php echo esc_attr($arguments['stepId']); ?>"
        aria-label="<?php esc_attr_e('Choose', 'woocommerce-products-wizard'); ?>"
        <?php
        echo in_array($productId, $arguments['activeProductsIds'])
            ? ' checked="checked"'
            : '';
        ?>>
    <span class="custom-control-label d-inline-block"></span>
</span>
<!--spacer-->
