<?php
defined('ABSPATH') || exit;

$defaults = [
    'class' => 'woocommerce-products-wizard-form-item',
    'descriptionSource' => 'content'
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;

switch ($arguments['descriptionSource']) {
    default:
    case 'content':
        $description = get_the_content();
        break;

    case 'excerpt':
        $description = get_the_excerpt();
        break;

    case 'none':
        $description = '';
}

$description = apply_filters('the_content', $description);
?>
<div class="<?php echo esc_attr($arguments['class']); ?>-description"
    data-component="wcpw-product-description"
    data-default="<?php echo esc_attr($description); ?>"><?php
    echo $description;
    ?></div>
