<?php
defined('ABSPATH') || exit;

use WCProductsWizard\Cart;

$defaults = [
    'id' => null,
    'class' => 'woocommerce-products-wizard-form-item',
    'soldIndividually' => false,
    'product' => null,
    'stepId' => null,
    'formId' => null
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
$product = $arguments['product'];

if (!$product instanceof WC_Product || $product->is_sold_individually() || $arguments['soldIndividually']) {
    return;
}

$productInCart = Cart::getProductById($arguments['id'], $product->get_id());

$value = $productInCart ? $productInCart['quantity'] : 1;
$inputId = "woocommerce-products-wizard-{$arguments['id']}-form-{$arguments['stepId']}-"
    . "item-{$arguments['product']->get_id()}-quantity";

$input = woocommerce_quantity_input(
    [
        'input_id' => $inputId,
        'input_value' => $value,
        'input_name' => "productsToAdd[{$arguments['stepId']}-{$product->get_id()}][quantity]"
    ],
    $product,
    false
);

$input = str_replace(
    [
        '<input',
        'class="input-text '
    ],
    [
        '<input data-component="wcpw-product-quantity-input" form="' . $arguments['formId'] . '"',
        'class="input-text form-control input-sm form-control-sm '
    ],
    $input
);
?>
<div class="<?php echo esc_attr($arguments['class']); ?>-quantity" data-component="wcpw-product-quantity"><?php
    echo $input;
    ?></div>
