<?php
defined('ABSPATH') || exit;

use WCProductsWizard\Template;

$defaults = [
    'class' => 'woocommerce-products-wizard-form-item',
    'formId' => null,
    'stepId' => null,
    'variationArguments' => []
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<dl class="<?php echo esc_attr($arguments['class']); ?>-variations"
    data-component="wcpw-product-variations-data">
    <?php
    foreach ($arguments['variationArguments']['attributes'] as $attributeKey => $attributeValues) {
        Template::html(
            "form/item/prototype/variations/item/select",
            array_replace(
                $arguments,
                [
                    'attributeValues' => $attributeValues,
                    'attributeKey' => $attributeKey
                ]
            )
        );
    }
    ?>
</dl>
<input type="hidden"
    class="variation_id"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    name="<?php
    echo esc_attr("productsToAdd[{$arguments['stepId']}-{$arguments['product']->get_id()}][variation_id]");
    ?>"
    value=""
    data-component="wcpw-product-variations-variation-id">
