<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;
$stepId = isset($stepId) ? $stepId : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Cart;
use WCProductsWizard\Template;

$defaults = [
    'id' => $id,
    'stepId' => $stepId,
    'itemTemplate' => 'form/item/type-1',
    'queryArgs' => []
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;

$productsQuery = new WP_Query($arguments['queryArgs']);

echo '<div class="woocommerce-products-wizard-form-layout is-grid row products">';

while ($productsQuery->have_posts()) {
    $productsQuery->the_post();

    global $product;

    if (!$product instanceof WC_Product) {
        continue;
    }

    $arguments['product'] = $product;
    $arguments['cartItem'] = Cart::getProductById($arguments['id'], $product->get_id(), $arguments['stepId']);

    echo '<div class="col col-lg-3 col-md-4 col-sm-6 col-xs-6 col-xxs-12">';

    Template::html($arguments['itemTemplate'], $arguments);

    echo '</div>';
}

echo '</div>';

Template::html('form/pagination', array_merge(['productsQuery' => $productsQuery], $arguments));

wp_reset_query();
