<?php
defined('ABSPATH') || exit;

use WCProductsWizard\Cart;
use WCProductsWizard\Template;

$defaults = [
    'stepId' => null,
    'itemTemplate' => 'form/item/type-2',
    'queryArgs' => []
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;

$productsQuery = new WP_Query($arguments['queryArgs']);

echo '<div class="woocommerce-products-wizard-form-layout is-list products">';

while ($productsQuery->have_posts()) {
    $productsQuery->the_post();

    global $product;

    if (!$product instanceof WC_Product) {
        continue;
    }

    $arguments['product'] = $product;
    $arguments['cartItem'] = Cart::getProductById($arguments['id'], $product->get_id(), $arguments['stepId']);

    Template::html($arguments['itemTemplate'], $arguments);
}

echo '</div>';

Template::html('form/pagination', array_merge(['productsQuery' => $productsQuery], $arguments));

wp_reset_query();
