<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Template;
use WCProductsWizard\Settings;

$defaults = [
    'id' => $id,
    'stickyOffsetTop' => Settings::getPost($id, 'sticky_controls_offset_top')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<header class="woocommerce-products-wizard-header"
    data-component="wcpw-header wcpw-sticky"
    data-sticky-top-offset="<?php echo esc_attr($arguments['stickyOffsetTop']); ?>"
    data-sticky-parent="[data-component=wcpw]"><?php
    Template::html('controls/index', $arguments);
    ?></header>
