<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Form;

$defaults = [
    'navItems' => Form::getNavItems($id),
    'formId' => null
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
?>
<nav class="woocommerce-products-wizard-nav">
    <ul class="woocommerce-products-wizard-nav-list nav nav-tabs" role="tablist">
        <?php foreach ($arguments['navItems'] as $navItem) { ?>
            <li role="presentation"
                class="woocommerce-products-wizard-nav-list-item nav-item <?php echo esc_attr($navItem['class']); ?>">
                <button type="submit" role="tab"
                    form="<?php echo esc_attr($arguments['formId']); ?>"
                    name="<?php echo esc_attr($navItem['action']); ?>"
                    value="<?php echo esc_attr($navItem['id']); ?>"
                    class="woocommerce-products-wizard-nav-list-item-button nav-link <?php
                    echo esc_attr($navItem['class']);
                    ?>"<?php
                    echo $navItem['state'] == 'disabled' ? ' disabled="disabled"' : '';
                    ?>
                    data-component="wcpw-nav-item"
                    data-nav-action="<?php echo esc_attr($navItem['action']); ?>"
                    data-nav-id="<?php echo esc_attr($navItem['id']); ?>"><?php
                    echo wp_kses_post($navItem['name']);
                    ?></button>
            </li>
        <?php } ?>
    </ul>
</nav>
