<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty wizard id');
}

use WCProductsWizard\Form;
use WCProductsWizard\Template;
use WCProductsWizard\Settings;

do_action('wcpw_before_output', $arguments);

$defaults = [
    'formId' => "wcpw-form-{$id}",
    'mode' => Settings::getPost($id, 'mode')
];

$arguments = isset($arguments) ? array_replace($defaults, $arguments) : $defaults;
$arguments['stepId'] = Form::getActiveStepId($id); // force define the active step
$bodyTemplate = in_array($arguments['mode'], ['single-step']) ? 'single' : 'tabs';

Template::html('form', $arguments);

if (in_array($arguments['mode'], ['free-walk'])) {
    Template::html('nav/index', $arguments);
}

Template::html('header', $arguments);
Template::html("body/{$bodyTemplate}", $arguments);
Template::html('footer', $arguments);

do_action('wcpw_after_output', $arguments);
