<?php
/**
 * Plugin Name: WooCommerce Products Wizard Lite
 * Description: This plugin helps you sell your products by the step-by-step wizard.
 * Version: 8.5.3
 * Author: troll_winner@mail.ru
 * Author URI: https://troll-winner.ru
 */

namespace {

    $uploadDir = wp_upload_dir();

    if (!defined('WC_PRODUCTS_WIZARD_VERSION')) {
        define('WC_PRODUCTS_WIZARD_VERSION', '8.5.3');
    }

    if (!defined('WC_PRODUCTS_WIZARD_PLUGIN_PATH')) {
        define('WC_PRODUCTS_WIZARD_PLUGIN_PATH', plugin_dir_path(__FILE__));
    }

    if (!defined('WC_PRODUCTS_WIZARD_DEBUG')) {
        if (defined('SCRIPT_DEBUG')) {
            define('WC_PRODUCTS_WIZARD_DEBUG', SCRIPT_DEBUG);
        } else {
            define('WC_PRODUCTS_WIZARD_DEBUG', false);
        }
    }

    if (!defined('WC_PRODUCTS_WIZARD_THEME_TEMPLATES_DIR')) {
        define('WC_PRODUCTS_WIZARD_THEME_TEMPLATES_DIR', 'woocommerce-products-wizard');
    }

    if (!defined('WC_PRODUCTS_WIZARD_PLUGIN_URL')) {
        define('WC_PRODUCTS_WIZARD_PLUGIN_URL', plugin_dir_url(__FILE__));
    }

    if (!defined('WC_PRODUCTS_WIZARD_UPLOADS_PATH')) {
        define(
            'WC_PRODUCTS_WIZARD_UPLOADS_PATH',
            $uploadDir['basedir'] . DIRECTORY_SEPARATOR . 'woocommerce-products-wizard' . DIRECTORY_SEPARATOR
        );
    }

    if (!defined('WC_PRODUCTS_WIZARD_UPLOADS_URL')) {
        define(
            'WC_PRODUCTS_WIZARD_UPLOADS_URL',
            $uploadDir['baseurl'] . DIRECTORY_SEPARATOR . 'woocommerce-products-wizard' . DIRECTORY_SEPARATOR
        );
    }

    if (!class_exists('\WCProductsWizard\Core')) {
        require_once('includes/classes/Core.php');
    }

    require_once('includes/global/shortcodes.php');
}

namespace WCProductsWizard {

    if (!function_exists(__NAMESPACE__  . '\Instance')) {
        function Instance()
        {
            return Core::instance();
        }
    } else {
        add_filter('admin_notices', function () {
            ?>
            <div class="notice notice-warning is-dismissible">
                <p><strong><?php L10N::e('WooCommerce Products Wizard is enabled a few times'); ?></strong></p>
                <p><?php
                    // phpcs:disable
                    L10N::e('A few WooCommerce Products Wizard plugins are enabled at once. Keep enabled only one of them.');
                    // phpcs:enable
                    ?></p>
            </div>
            <?php
        });
    }

    $GLOBALS['WCProductsWizard'] = Instance();

    // add text-domain
    \add_action('plugins_loaded', __NAMESPACE__ . '\\loadTextDomain');

    function loadTextDomain()
    {
        load_plugin_textdomain(
            'woocommerce-products-wizard',
            false,
            dirname(plugin_basename(__FILE__)) . '/languages/'
        );
    }
}
